% Version 1.2.0 EN
%
% Show page limits to check the page display
%\usepackage{showframe}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 		Manual line break in the 		   %%%
%%%			list of figures and tables		   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set line breaks manually in \ listoffigures and \ listoftables with "\ protect \\" (without quotation marks) in the optional parameter of the "\ caption" command
% Example: 
%\caption[Exterior view of the KIT library. Consetetur sadipscing elitr,\protect\\ sed diam nonumy eirmod tempor invidunt ut labore]{Exterior view of the KIT library. Consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 			Special character			  %%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Non-breaking space, protected space: ~
% Non-breaking narrow space, protected narrow space: \.
% Backslash: \textbackslash
% Percent sign: \%
% Ampersand: \&
% Circumflex: \^
% Tilde: \~
% Dollar: \$
% Hashtag, number sign: \#
% Low line: \_
% Curly bracket: \{
% Non-breaking hyphen: "~ % Requires the package "\usepackage[english]{babel}"
% Non-breaking hyphen alternative: \hbox{-}
% Soft hyphen: \-

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 			General Settings			  %%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Adjust margins
\setlength{\topskip}{10.5pt} % Prevent an error message

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%        			Scaling					  %%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Please scale the page margins according to the number of pages in your document (see optional parameters in the following package "\usepackage{geometry}":

% - up to 199 pages ("inner": 20mm, "outer": 15-18mm) >>> textwidth = 113mm
% - 200 to 399 pages ("inner": 23mm, "outer": 15-18mm) >>> textwidth=110mm
% - from 400 pages ("inner": 25mm, "outer": 15mm) >>> textwidth = 108mm

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%        			Paper size (A5)			   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Note: The margins for scaling (see "Scaling" above) can be managed using the "geometry" package, please refer to the corresponding documentation at: http://ftp.fau.de/ctan/macros/latex/contrib/geometry/geometry.pdf

% (DIN A5)
\usepackage[%
a5paper,% Paper size
headheight=1.5\baselineskip,% Line below header
top=25mm,% Distance from the top edge
inner=20mm,% Distance from the inner edge
outer=15mm,% Distance from the outer edge
%lines=38,% Number of lines. It is recommended to comment out because it leads to problems with the correct calculation
%textwidth=113mm,% Width of the type area. It is recommended to comment out because it leads to problems with the correct calculation
footnotesep=7mm,% Vertical distance between the type area and the footnote line
heightrounded=true%
]{geometry}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%        				Footer!				   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Distance between text body (type area) and bottom edge of footer (page numbers)
\setlength{\footskip}{10mm}

% Distance between body text and footnote dividing line
\setlength{\skip\footins}{20pt}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%        			Footnote!				   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% (1) Position and size of the footnotes for 2-digit footnote numbers
\deffootnote[1.8em]{1.8em}{0em}{\makebox[1.7em][l]{\textsuperscript{\thefootnotemark\ }}}
% \ deffootnote {"Position of the footnote number from the left (and adjust this value)"} {"Indentation of the second line"} {\ makebox ["Distance between the footnote number and the footnote text (and adjust this value)"] [l] {\ thefootnotemark }}

% (2) Please select the following command for 3-digit footnote numbers and deactivate (1) "\ deffootnote {1.7em} {0em} {\ makebox [1.7em] [l] {\ thefootnotemark}}" by comment out the previous command
%\deffootnote{2.2em}{0em}{\makebox[2.2em][l]{\thefootnotemark}}
% \ deffootnote {"Position of the footnote number from the left (and adjust this value)"} {"Indentation of the second line"} {\ makebox ["Distance between the footnote number and the footnote text (and adjust this value)"] [l] {\ thefootnotemark }}

% Prevents footnotes from continuing on the opposite page
\interfootnotelinepenalty=10000 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  				Paragraph!			  	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Distribute lines on the page (the lower margin is not compensated by expanding the paragraph spacing)
\raggedbottom   

% Indentation depth (horizontal distance) of the first line of the paragraph
\setlength{\parindent}{0pt}

% Vertical space between paragraphs
\setlength{\parskip}{2.5mm}

% Prevents orphans (single line at the bottom of the page)
\clubpenalty = 10000 

% prevents widows (single line at the top of the page)
\widowpenalty = 10000
\displaywidowpenalty = 10000

% Prevent hyphenation at the page break
\brokenpenalty = 10000

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%				Caption! 					   %%%
%%%  			Floating objects			   %%%
%%%				Figure!, Table!			   	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\usepackage[%
labelfont=bf,% Bold text for the designation "Figure" and "Table"
font=footnotesize,% Font size for captions
]{caption}

% Illustrations
\captionsetup[figure]{position=below}
\captionsetup[figure]{aboveskip=3mm} % Distance between image and caption
\captionsetup[figure]{belowskip=-2mm} % Distance between caption and running text

% Tables
% When using "\captionabove" the values "aboveskip" and "belowskip" are swapped; so please use "\caption" for table headings
\captionsetup[table]{position=top}
\captionsetup[table]{aboveskip=0.8mm} % Spacing: running text - table heading (measured in PDF = ~ 7mm) | Note: with the command "\captionabove" the order of the captions changes to: table heading - table
% \captionsetup[table]{aboveskip=1.5mm} % Spacing: running text - table heading (measured in PDF = ~ 7mm) | Note: with the command "\captionabove" the order of the captions changes to: table heading - table
\captionsetup[table]{belowskip=2.5mm} % Spacing: table heading - table (measured in PDF = ~3mm) | Note: with the command "\captionabove" the order of the captions changes to: running text - table heading

% Intextsep! und textfloat!
% Distance illustration: running text - image; caption - running text
% Space table: running text - table heading; table - running text
\setlength{\intextsep}{5.5mm plus0mm minus0mm}% Distance for floating objects placed with the parameter "[h]" (measured in PDF for tables = ~ 8mm; for images = ~ 6mm)
\setlength{\textfloatsep}{5.5mm plus0mm minus0mm}% Distance for floating objects placed with the parameter "[t]" or "[b]"

% Caption for subfloat!
\captionsetup[subfloat]{%
	labelformat=empty,%
	margin=0pt,% Indentation of the caption from the left
	% skip = 0pt,% Distance between picture and caption
	aboveskip=2mm, % Distance between picture and caption
	belowskip=0mm,% Distance between the caption and the next row of images as well as between the caption and the signature of the figure / since the commands "\captionsetup[subfloat]{belowskip}" and "\captionskip[figure]{skip}" overlap, the vertical distance between the rows of images must be set with the command "\vspace{3mm}"
	% font = {footnotesize, rm},%
	% labelfont = {footnotesize, bf},%
	% format=hang,% Indent second and further lines (align to the first)
	indention=0em,% Indentation of the inscription
	labelsep=space,% "period, space, quad, newline"
	justification=RaggedRight,% Flutter replacement with hyphenation
	% justification = raggedright,% Flutter replacement without hyphenation
	% justification = centering,% Centered
	% justification = justified,% Justification
	singlelinecheck=true,% "false" (true = always center one line)
	position=auto,% "top, bottom", "auto"
	labelformat=parens% "simple, empty" = how the label is set
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  			Floating! objects			   %%%
%%%				"{figure}", "{table}"	   	   %%%
%%%				Layout, size  	   			   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Minimum fill level of one side with a floating object
\renewcommand{\floatpagefraction}{0.7}

% Maximum size of a floating object at the bottom of the page
\renewcommand{\topfraction}{0.8}

% Maximum size of a floating object at the top of the page
\renewcommand{\bottomfraction}{0.8}

% Possible increase in spacing within a line if the line break is unsightly
\setlength{\emergencystretch}{4pt}

% Minimum amount of text on a page with a floating object
\renewcommand{\textfraction}{0.1}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  				Line spacing!			   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Set the line spacing to 1
%\usepackage[singlespacing]{setspace}

% Set line spacing to 1.15
\usepackage{setspace}
\setstretch{1.15}

% Set line spacing to 1.2
%\usepackage{setspace}
%\setstretch{1.2}

% Set line spacing to 1.5
%\usepackage[onehalfspacing]{setspace}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%				Directories!				   %%%
%%% 			Table of contents	   		   %%%
%%%				Table of figures 			   %%%
%%%				Table of tables 			   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% toc = table of contents 
% lof = list of figures
% lot = list of tables

\makeatletter
%
% Automatic line break in directories (toc, lof, lot) for long headings, horizontal distance to the right margin of the type area; "plus1fil": No hyphenation in the table of contents, this mostly overrides the justification for directories because hyphenation is not possible
\renewcommand\@tocrmarg{5em plus1fil}%new
% \renewcommand\@tocrmarg{4em plus1fil}%old

% Distance between the page number in the table of contents and the last point of the dotted line
\renewcommand\@pnumwidth{1em} % !With 8pt or 0em, sets the page number outside the type area (see "\usepackage{showframe}"!
%
% Changes the distance between the points of the dotted line
% \renewcommand*{\@dotsep}{1.5}% Default ist 4.5
%
% \renewcommand*\l@chapter{\@dottedtocline{0}{1.5em}{2em}}
%
% \renewcommand*\l@figure{\@dottedtocline{1em}{0em}{2.3em}}% Default is {1.5em}{0em}{2.3em}
% \let\l@table\l@figure
%
\makeatother

% Indentation of the chapter number (tocindent) and space between chapter number and chapter text (heading) in the table of contents (tocnumwidth)
\RedeclareSectionCommand[tocindent=0em,tocnumwidth=1.5em]{chapter}
\RedeclareSectionCommand[tocindent=1.5em,tocnumwidth=1.9em]{section}
\RedeclareSectionCommand[tocindent=3.4em,tocnumwidth=2.6em]{subsection}

% List of figures! Indentation and spacing
\DeclareTOCStyleEntry[%
dynnumwidth=true,% If necessary, the spacing of "numsep" is extended (e.g. with two digits)
% entryformat=\sffamily\large,% Directory font
indent=0pt,% Indentation left
% listname={Abbildungsverzeichnis},% Name of the list of figures
numsep=1em,% Spacing between the number on the left and the text (title of the illustration), maintains the spacing from the page number
numwidth=2em,% Space between text and page number on the right
% pagenumberbox=1em,% Space between number on the left and text (table title)
% pagenumberformat=\sfamily\large,% Page number font
% pagenumberwidth=1em,% Distance between the page number and the text (left), also shifts the dotted line to the left
% entrynumberformat=\gobble,%
rightindent=4em,% Space between page number on the right and text (table title), hyphenation is active
]{default}{figure}

% List of tables! Indentation and spacing
\DeclareTOCStyleEntry[%
% beforeskip=1.15em plus 1pt,%
dynnumwidth=true,% If necessary, the spacing of "numsep" is extended (e.g. with two digits)
% entryformat=\textbf%
% entryformat=\sffamily\large,% Directory font
indent=0pt,% Indentation of the numbering on the left
% linefill=\skillmon@chapter@dotfill,%
numsep=1em,% Space between number on the left and text (table title), keeps the space to page number
numwidth=2em,% Space between text and page number on the right
% pagenumberbox=1em,% Space between number on the left and text (table title)
% pagenumberwidth=1em,% Distance between the page number and the text (left), also shifts the dotted line to the left
% pagenumberbox=\relax,%
% listname={Tabellenverezichnis},% Name of the list of tables
% pagenumberformat=\ssfamily\large,% Page number font
% pagenumberformat=\usekomafont{tocentry},% Alternatively
% entrynumberformat=\gobble,%
rightindent=4em,% Space between page number on the right and text (table title), hyphenation is active
]{default}{table}

% List of tables! Indentation and spacing
% \DeclareTOCStyleEntry[%
% beforeskip=1.15em plus 1pt,%
% dynnumwidth=true,% If necessary, the spacing of "numsep" is extended (e.g. with two digits)
% entryformat=\textbf%
% entryformat=\sffamily\large,% Directory font
% indent=0pt,% Indentation of the numbering on the left
% linefill=\skillmon@chapter@dotfill,%
% numsep=1em,% Space between number on the left and text (table title), keeps the space to page number
% numwidth=5em,% Space between text and page number on the right
% pagenumberbox=1em,% Space between number on the left and text (table title)
% pagenumberwidth=1em,% Distance between the page number and the text (left), also shifts the dotted line to the left
% pagenumberbox=\relax,%
% listname={Tabellenverezichnis},% Name of the list of tables
% pagenumberformat=\ssfamily\large,% Page number font
% pagenumberformat=\usekomafont{tocentry},% Alternatively
% entrynumberformat=\gobble,%
% ]{default}{listings}

\newcommand*{\gobble}[1]{} % For the correct display of the distance between text and page number on the right in directories (figure, table)

% Directory font family (toc, lof, lot)
% \addtokomafont{disposition}{\sffamily} % Font without serifs
% \addtokomafont{disposition}{\rmfamily} % Font with serifs

% Page numbers in the table of contents for headings in the "\chapter" category
\setkomafont{chapterentrypagenumber}{\rmfamily} % Page numbers in the table of contents with serifs
% \setkomafont{chapterentrypagenumber}{\rmfamily\mdseries} % Page numbers in the table of contents in serifs, but not in bold

% \addtokomafont{chapterentrypagenumber}{\normalfont\normalcolor\fontfamily{phv}\selectfont}

% Font family for headings of the category "\chapter": "\rmfamily" ("\chapter" with serifs); "\sffamily" ("\chapter" without serifs)
% \setkomafont{chapterentry}{\rmfamily\bfseries} 
% \setkomafont{chapterentry}{\sffamily} 

% Standardization of the headings in the table of contents. Changes the display of headings from the "\chapter" category in the table of contents to the "\section" category; Adaptation of the font family of the headings of the category "\chapter": "\rmfamily" (heading of the category "\chapter" with serifs); "\sffamily" (heading of the "\chapter" category without serifs)
% \setkomafont{sectioning}{\rmfamily\normalsize} 
% \setkomafont{sectioning}{\sffamily} 

\KOMAoptions{toc=chapterentrydotfill} % Also add points to the page number in the table of contents for headings in the "\chapter" category

% Show up to level 3 (subsection) in the table of contents
\setcounter{tocdepth}{2} 

% Possibly change in order to get a nicer display of the page
\BeforeStartingTOC{\setstretch{1.075}} 

% Set the font family in the table of contents to sans serif
% \newcommand*\tocentryformat[1]{{\sffamily#1}}
% \RedeclareSectionCommands
%   [
%     tocentryformat=\tocentryformat,
%     tocpagenumberformat=\tocentryformat
%   ]
%   {section,subsection,subsubsection,paragraph,subparagraph}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 		Tocloft! (obsolete)			 	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Display the table of contents correctly
% \usepackage[titles]{tocloft}

% Also show points in the chapters
% \renewcommand{\cftchapdotsep}{\cftdotsep}
% \renewcommand{\cftchapleader}{\cftdotfill{\cftchapdotsep}}

% Show page numbers for chapters in sans serif font
% \renewcommand{\cftchappagefont}{\fontfamily{phv}\normalsize\bfseries}

% Update directories
% Fonts in the table of contents
% \renewcommand\cftchapfont{\fontfamily{phv}\normalsize\bfseries}
% \renewcommand\cftsecfont{\fontfamily{phv}\fontsize{11}{11}}

% Fonts in chapters and sections ...
% \renewcommand\cftchappagefont{\fontfamily{phv}\normalsize\bfseries}
% \renewcommand\cftsecpagefont{\fontfamily{phv}\fontsize{11}{11}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 				Headlines			  	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Number the 4th level (subsubsection)
\setcounter{secnumdepth}{4} 

% Show up to level 3 (subsection) in the table of contents
\setcounter{tocdepth}{2}

% Specify fonts and sizes for the headings
\addtokomafont{chapter}{\fontfamily{phv}\fontsize{18}{20}\bfseries} 		% z. B. "2 State of the art" \fontsize{Font size 18 pt}{space in front of the heading: 20 pt}
\addtokomafont{section}{\fontfamily{phv}\fontsize{14}{16}\bfseries}			% z. B. "2.1 Literature and research" \fontsize{Font size 14 pt}{space in front of the heading: 16 pt}
\addtokomafont{subsection}{\fontfamily{phv}\fontsize{12}{14}\bfseries}		% z. B. "2.1.1 Disciplinary development" \fontsize{Font size 12 pt}{space in front of the heading: 14 pt}
\addtokomafont{subsubsection}{\fontfamily{phv}\fontsize{10}{12}\bfseries}	% z. B. "2.1.1.1 Genesis of scientific concepts" \fontsize{Font size 10 pt}{space in front of the heading: 12 pt}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 				Line up headings 	   	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Horizontal distance between numbering and heading
\renewcommand*{\chapterformat}{\makebox[1.3cm][l]{\thechapter\autodot}}
\renewcommand*{\sectionformat}{\makebox[1.3cm][l]{\thesection\autodot}}
\renewcommand*{\subsectionformat}{\makebox[1.3cm][l]{\thesubsection\autodot}}
\renewcommand*{\subsubsectionformat}{\makebox[1.3cm][l]{\thesubsubsection\autodot}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 		Captions name: figure / table 	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Specify captions name for figures
%\addto\captionsngerman{\renewcommand{\figurename}{Abbildung}}
% \addto\captionsenglish{\renewcommand{\figurename}{Abbildung}}
% \newcaptionname{ngerman}\figurename{Abbildung}% 

% Specify captions name for tables
%\addto\captionsngerman{\renewcommand{\tablename}{Tabelle}}
% \addto\captionsenglish{\renewcommand{\tablename}{Tabelle}}
% \newcaptionname{ngerman}\figurename{Abbildung}% 

% Change description / name for listings
\addto\captionsngerman{\renewcommand{\lstlistingname}{\latex source code}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 		Font size!						   %%%
%%%			headers! and footers!		 	   %%%
%%%		 	page number!, text color!  		   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Specify the sizes of the captions
%\addtokomafont{caption}{\footnotesize}
%\setkomafont{captionlabel}{\footnotesize}

% Specify the size of the header and footer
\setkomafont{pageheadfoot}{\footnotesize} 

% Size of the page number
\setkomafont{pagenumber}{\normalsize}

% Allow colors in the document
\usepackage{color}
\usepackage{xcolor} % Necessary for the color "gray"

% Define text color black
\color[cmyk]{0,0,0,1}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 				Fonts!					   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 		Fonts with serifs			  	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Nimbus 15 Serif
% For example see: https://tug.org/FontCatalogue/nimbus15serif/
\usepackage{nimbusserif}

% URW Nimbus Roman (similar to Times New Roman)
% For example see: https://tug.org/FontCatalogue/urwnimbusroman/ 
%\usepackage{mathptmx}

% Utopia Regular with Fourier
% For example see: https://tug.org/FontCatalogue/utopia-fouriermath/ 
%\usepackage{fourier}

% Utopia Regular with Math Design
% For example see: https://tug.org/FontCatalogue/utopia-mathdesign/ \usepackage[adobe-utopia]{mathdesign}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 		Fonts without serifs		  	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Use Helvetica clone (phv) as the standard font for sans serif texts (headings and headings in the table of contents)
\renewcommand{\sfdefault}{phv}

% URW Nimbus Sans
% For example see: https://tug.org/FontCatalogue/urwnimbussans/ 
%\usepackage[scaled]{helvet}
%\renewcommand*\familydefault{\sfdefault}

% Nimbus 15 Sans
% For example see: https://tug.org/FontCatalogue/nimbus15sans/ 
%\usepackage{nimbussans}
%\renewcommand*\familydefault{\sfdefault}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%        			Microtype!			   	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \usepackage[stretch=10,shrink=10]{microtype} % Prevents blurring and blurring of the font and reduces the number of bad boxes (underfull / overfull); must be included after the font

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%        		Header! Running title!		   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Package for the automatic setting of headers and footers
\usepackage[%
markcase=ignoreuppercase,%
automark,%
autooneside=false,%
]{scrlayer-scrpage}
%\usepackage[nouppercase]{scrpage2} % Obsolete package replaced by the package "\usepackage{scrlayer-scrpage}"

% Define the line width in the header
% "The element [headsepline] is applied after \ normalfont and after the elements pageheadfoot and pagehead." (Kohm 2020: 268)
\KOMAoptions{headsepline=0.5pt}
% \setheadsepline{0.5pt}% Command line for the obsolete package "\usepackage{scrpage2}"

% No header / footer on blank pages
%\usepackage{emptypage} % Usage of package `emptypage' together(scrbook) with a KOMA-Script class is not recommended

% Distance between body and line in the header
\setlength{\headsep}{8mm}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 				Notes!		  	   	   	   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Allows you to insert notes
%\usepackage{todonotes}

% Deactivates all inserted notes
%\usepackage[disable]{todonotes}

% Insert notes in the body text
%\todo[inline]{This is a note.}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 			URLs/links!					   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Display URLs/links with line breaks
\usepackage[hyphens]{url}

% Line breaks in URLs/links after the following characters
\appto\UrlBreaks{\do\a\do\b\do\c\do\d\do\e\do\f\do\g\do\h\do\i\do\j\do\k\do\l\do\m\do\n\do\o\do\p\do\q\do\r\do\s\do\t\do\u\do\v\do\w\do\x\do\y\do\z\do\/\do\.}

% Settings and display of the URLs/links in the PDF
\usepackage[%
hidelinks,% Display internet links as normal text
% colorlinks, % Show hyperlinks in color
% citecolor = blue, % Show sources in the running text in the selected font color
pdfpagemode=UseNone,% Do not show bookmarks in PDF reader
pdfpagelayout=TwoColumnRight,% Specify the page display of the PDF document
pdfauthor={\autor},% Author of the PDF document
pdftitle={\pdftitle},% Title of the PDF document
bookmarksnumbered=true,% Numbered chapters also in the PDF navigation
]{hyperref}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 		Settings of other packages		   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Output of the bibliography
%\bibliographystyle{plaindin}

% Allow embedding of images
\usepackage{graphicx}	

% Enable rotated objects
\usepackage{rotating}

% Extended table environment
\usepackage{tabularx}

% Extended ragged commands
\usepackage{ragged2e}

% Left-justified captions
%\usepackage[justification=RaggedRight]{caption}
%\usepackage[justification=justified]{caption}
%\captionsetup[subfigure]{justification=RaggedRight}

% New column type "L" with width specification for left-justified text
\newcolumntype{L}[1]{>{\RaggedRight\arraybackslash}p{#1}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 			Mathematics!	 			   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Mathematical symbols
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsfonts}

% Rows in tables can be joined
\usepackage{multirow}

% Provide additional text symbols
\usepackage{textcomp}

% Define operator symbols
\newcommand{\real}{\operatorname{Re}}				% Real part
\newcommand{\opdiv}{\operatorname{div}}				% Divergence operator
\newcommand{\rot}{\operatorname{rot}}				% Rotation operator
\newcommand{\grad}{\operatorname{grad}}				% Gradient operator
\newcommand{\imag}{\operatorname{Im}}				% Imaginary part
\newcommand{\imein}{\operatorname{j}}				% Imaginary part "j"

% Extended list statements
\usepackage{etoolbox}

% Zero indentation in the list of figures (requires the "tocloft" package)
% \renewcommand{\cftfigindent}{0cm}%obsolete

% Zero indentation in the list of tables (requires the "tocloft" package)
% \renewcommand{\cfttabindent}{0cm}%obsolete
	
% Create an English-language list of figures
\usepackage[english]{nomencl}
%\usepackage[german]{nomencl}

% Rename the command for an entry in the list of abbreviations to "\ sym"
\let\sym\nomenclature

% Change the name of the list of abbreviations
\renewcommand{\nomname}{List of acronyms and symbols}

% Set the column width of the formula characters to "20%" of the text width
\setlength{\nomlabelwidth}{.2\textwidth}

% Include units in the designation and right-justify them
\newcommand{\nomunit}[1]{\renewcommand{\nomentryend}{\hspace*{\fill}#1}}

% Line spacing is reduced to normal text spacing
\setlength\nomitemsep{-\parsep}

% Generate list of abbreviations
\makenomenclature

% Create additional directories
\makeindex

% Change the name of the formula directory
\AtBeginDocument{% 
  %\newcaptionname{ngerman}\equationname{Formel} % 
  %\newcaptionname{ngerman}\listequationname{Formelverzeichnis} % 
  \addtocontents{toc}{\protect\activateonlyattoc} % E.g. for breaks of long headings in the table of contents with the command "\ onlyattoc {\ protect \\}", example: "\ chapter{Long chapter headings and the manual line break \ onlyattoc {\ protect \\} for a clean representation in the text}" (without quotation marks)
}

\DeclareRobustCommand*{\onlyattoc}[1]{} % E.g. for breaks of long headings in the table of contents with the command "\ onlyattoc {\ protect \\}", example: "\ chapter{Long chapter headings and the manual line break \ onlyattoc {\ protect \\} for a clean representation in the text}" (without quotation marks)
\newcommand*{\activateonlyattoc}{\DeclareRobustCommand*{\onlyattoc}[1]{##1}} % E.g. for breaks of long headings in the table of contents with the command "\ onlyattoc {\ protect \\}", example: "\ chapter{Long chapter headings and the manual line break \ onlyattoc {\ protect \\} for a clean representation in the text}" (without quotation marks)

% Formatting for formula directory!
\DeclareNewTOC[% 
  tocentryindent=0pt,%
  tocentrynumwidth=2em,%
  hang=1.5em,%
  type=equation,%
  name={Gl.},% 
  types=equations,% 
  listname={Formelverzeichnis},% 
]{equ} 
\newcommand{\equationentry}[2][\theequation]{ % 
  \addxcontentsline{equ}{equation}[{#1}]{\kern 1em #2} % 
} 
\BeforeStartingTOC[equ]{\def\autodot{:}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  				Index!					   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Enables the use of an index or index
\usepackage{makeidx}
% Example: This is an entry \index{entry} in the index.
% Put "\printindex" in the appropriate place in the file "KSP_Diss_A5.tex"

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  				Listings!				   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Allows the output of LaTeX source code in the text
\usepackage{listings}
% \usepackage{listingsutf8}

% Output umlauts and special characters in listings
\lstset{literate=%
{ä}{{\"a}}1 
{ë}{{\"e}}1 
{ï}{{\"i}}1 
{ö}{{\"o}}1 
{ü}{{\"u}}1
{Ä}{{\"A}}1 
{Ë}{{\"E}}1 
{Ï}{{\"I}}1 
{Ö}{{\"O}}1 
{Ü}{{\"U}}1
{á}{{\'a}}1 
{é}{{\'e}}1 
{í}{{\'i}}1 
{ó}{{\'o}}1 
{ú}{{\'u}}1
{Á}{{\'A}}1 
{É}{{\'E}}1 
{Í}{{\'I}}1 
{Ó}{{\'O}}1 
{Ú}{{\'U}}1
{à}{{\`a}}1 
{è}{{\`e}}1 
{ì}{{\`i}}1 
{ò}{{\`o}}1 
{ù}{{\`u}}1
{À}{{\`A}}1 
{È}{{\'E}}1 
{Ì}{{\`I}}1 
{Ò}{{\`O}}1 
{Ù}{{\`U}}1
{â}{{\^a}}1 
{ê}{{\^e}}1 
{î}{{\^i}}1 
{ô}{{\^o}}1 
{û}{{\^u}}1
{Â}{{\^A}}1 
{Ê}{{\^E}}1 
{Î}{{\^I}}1 
{Ô}{{\^O}}1 
{Û}{{\^U}}1
{œ}{{\oe}}1 
{Œ}{{\OE}}1 
{æ}{{\ae}}1 
{Æ}{{\AE}}1 
{ß}{{\ss}}1
{ű}{{\H{u}}}1 
{Ű}{{\H{U}}}1 
{ő}{{\H{o}}}1 
{Ő}{{\H{O}}}1
{ç}{{\c c}}1 
{Ç}{{\c C}}1
{ã}{{\~a}}1 
{å}{{\r a}}1 
{Å}{{\r A}}1
{ø}{{\o}}1 
{€}{{\EUR}}1 
{£}{{\pounds}}1
{~}{{\textasciitilde}}1
}

% Distance for listings and captions within a listing environment
\lstset{%
aboveskip=5mm,
belowskip=1mm,
abovecaptionskip=0mm,
belowcaptionskip=3mm	
}

% Style for listings without line numbers
\lstdefinestyle{kspnonumbers}{%
language=[LaTeX]TeX,
commentstyle=\color{gray},
keywordstyle=\color{magenta},
stringstyle=\color{blue},
% backgroundcolor=\color{gray},
% inputpath=folder name
basicstyle=\ttfamily\small\bfseries,
breaklines=true,
showstringspaces=false,
% captionpos=b, % Labeling below the listing
tabsize=2,
frame=tbrl,% Top ("T","t"), buttom ("B", "b"), left ("L", "l"), right ("R", "r")
% frame=single,
framesep=0em,% Width of the frame over the type area margin
% xleftmargin=2em,% Distance from the left edge of the type area inwards
% xrightmargin=2em,% Distance from the right edge of the sentence mirror inwards
% numbers=left,
% numberstyle=\footnotesize\color{gray},
% numbersep=10pt,
% stepnumber=2,
morekeywords={%
chapter
}
}

% % Style for listings with line numbers
% \lstdefinestyle{kspnumbers}{%
% % inputpath=folder name
% basicstyle=\ttfamily\small,
% % backgroundcolor=\color{gray},
% breaklines=true,
% commentstyle=\color{gray},
% keywordstyle=\color{magenta},
% stringstyle=\color{blue}
% % captionpos=b,
% showstringspaces=false,
% numbers=left,
% % numberstyle=\footnotesize\color{gray}
% numbersep=10pt,
% stepnumber=2,
% tabsize=2,
% frame=tblr,% Top, buttom, left, right
% }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  				Latex!					   %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% New command for the output of the LaTeX logo
\usepackage{xspace}
\newcommand{\latex}{\LaTeX\xspace}
\newcommand{\tex}{\TeX\xspace}

% Bibliography
%-----------------------
%
% Kohm 2020: Kohm, Markus; Neukamp, Frank; Kielhorn, Axel (2020): Die Anleitung. KOMA-Script. Markus Kohm. 2020-03.12. (Online)